Boson API (0.0.1)

Download OpenAPI specification:Download

Enter your description here.

Boson landing page

Contains a summary of available servicers.

Authorizations:
auth0

Responses

Response samples

Content type
application/json
{
  • "title": "Boson",
  • "description": "The Geospatial Service Mesh",
  • "servicers": [
    ]
}

Info, including schemas for all registered providers

Contains information about all registered providers, including the JSON Schema for the provider configurations.

Authorizations:
auth0

Responses

Response samples

Content type
application/json
{
  • "provider_info": [
    ]
}

Info, including schema for a specific provider

Contains information about a specific provider, including the JSON Schema for the provider configuration.

Authorizations:
auth0
path Parameters
provider_name
required
string

name of the provider the user wants info for

Responses

Response samples

Content type
application/json
{
  • "name": "string",
  • "schema": { }
}

Servicer summary

returns information about a specific servicer

Authorizations:
auth0
path Parameters
service_name
required
string
Example: stac

the name of the servicer the user wants info for

Responses

Response samples

Content type
application/json
{
  • "status": 403,
  • "type": "Forbidden",
  • "title": "Not Authorized",
  • "detail": "You must provide token to access this API",
  • "instance": null
}

GET operation on the specified servicer, dataset, and fragment

returns servicer specific response

Authorizations:
auth0
path Parameters
project_uid
required
string
Example: cool-project

The project id of the dataset/config you want to use. This is required for all operations except for the landing page.

servicer_name
required
string
Example: stac

the name of the servicer you want info for

dataset_id
required
string
Example: cool-dataset

The name/hash of the dataset/config you want to use. Hash is preferred for all requests because it points to a single version of the dataset.

url_fragment
required
string
Example: collections/cool-dataset/items

The servicer path for the operation you want to perform. Options depend on the individual servicer. Since the servicer could expose virtually any API to proxy to backend services, you must inspect the servicer info to descide how to act.

Responses

Response samples

Content type
application/json
{
  • "status": 403,
  • "type": "Forbidden",
  • "title": "Not Authorized",
  • "detail": "You must provide token to access this API",
  • "instance": null
}

POST operation on the specified servicer, dataset, and fragment

returns servicer specific response

Authorizations:
auth0
path Parameters
project_uid
required
string
Example: cool-project

The project id of the dataset/config you want to use. This is required for all operations except for the landing page.

servicer_name
required
string
Example: stac

the name of the servicer you want info for

dataset_id
required
string
Example: cool-dataset

The name/hash of the dataset/config you want to use. Hash is preferred for all requests because it points to a single version of the dataset.

url_fragment
required
string
Example: collections/cool-dataset/items

The servicer path for the operation you want to perform. Options depend on the individual servicer. Since the servicer could expose virtually any API to proxy to backend services, you must inspect the servicer info to descide how to act.

Responses

Response samples

Content type
application/json
{
  • "status": 403,
  • "type": "Forbidden",
  • "title": "Not Authorized",
  • "detail": "You must provide token to access this API",
  • "instance": null
}

PUT operation on the specified servicer, dataset, and fragment

returns servicer specific response

Authorizations:
auth0
path Parameters
project_uid
required
string
Example: cool-project

The project id of the dataset/config you want to use. This is required for all operations except for the landing page.

servicer_name
required
string
Example: stac

the name of the servicer you want info for

dataset_id
required
string
Example: cool-dataset

The name/hash of the dataset/config you want to use. Hash is preferred for all requests because it points to a single version of the dataset.

url_fragment
required
string
Example: collections/cool-dataset/items

The servicer path for the operation you want to perform. Options depend on the individual servicer. Since the servicer could expose virtually any API to proxy to backend services, you must inspect the servicer info to descide how to act.

Responses

Response samples

Content type
application/json
{
  • "status": 403,
  • "type": "Forbidden",
  • "title": "Not Authorized",
  • "detail": "You must provide token to access this API",
  • "instance": null
}

DELETE operation on the specified servicer, dataset, and fragment

returns servicer specific response

Authorizations:
auth0
path Parameters
project_uid
required
string
Example: cool-project

The project id of the dataset/config you want to use. This is required for all operations except for the landing page.

servicer_name
required
string
Example: stac

the name of the servicer you want info for

dataset_id
required
string
Example: cool-dataset

The name/hash of the dataset/config you want to use. Hash is preferred for all requests because it points to a single version of the dataset.

url_fragment
required
string
Example: collections/cool-dataset/items

The servicer path for the operation you want to perform. Options depend on the individual servicer. Since the servicer could expose virtually any API to proxy to backend services, you must inspect the servicer info to descide how to act.

Responses

Response samples

Content type
application/json
{
  • "status": 403,
  • "type": "Forbidden",
  • "title": "Not Authorized",
  • "detail": "You must provide token to access this API",
  • "instance": null
}

PATCH operation on the specified servicer, dataset, and fragment

returns servicer specific response

Authorizations:
auth0
path Parameters
project_uid
required
string
Example: cool-project

The project id of the dataset/config you want to use. This is required for all operations except for the landing page.

servicer_name
required
string
Example: stac

the name of the servicer you want info for

dataset_id
required
string
Example: cool-dataset

The name/hash of the dataset/config you want to use. Hash is preferred for all requests because it points to a single version of the dataset.

url_fragment
required
string
Example: collections/cool-dataset/items

The servicer path for the operation you want to perform. Options depend on the individual servicer. Since the servicer could expose virtually any API to proxy to backend services, you must inspect the servicer info to descide how to act.

Responses

Response samples

Content type
application/json
{
  • "status": 403,
  • "type": "Forbidden",
  • "title": "Not Authorized",
  • "detail": "You must provide token to access this API",
  • "instance": null
}

HEAD operation on the specified servicer, dataset, and fragment

returns servicer specific response

Authorizations:
auth0
path Parameters
project_uid
required
string
Example: cool-project

The project id of the dataset/config you want to use. This is required for all operations except for the landing page.

servicer_name
required
string
Example: stac

the name of the servicer you want info for

dataset_id
required
string
Example: cool-dataset

The name/hash of the dataset/config you want to use. Hash is preferred for all requests because it points to a single version of the dataset.

url_fragment
required
string
Example: collections/cool-dataset/items

The servicer path for the operation you want to perform. Options depend on the individual servicer. Since the servicer could expose virtually any API to proxy to backend services, you must inspect the servicer info to descide how to act.

Responses

Response samples

Content type
application/json
{
  • "status": 403,
  • "type": "Forbidden",
  • "title": "Not Authorized",
  • "detail": "You must provide token to access this API",
  • "instance": null
}

OPTIONS operation on the specified servicer, dataset, and fragment

returns servicer specific response

Authorizations:
auth0
path Parameters
project_uid
required
string
Example: cool-project

The project id of the dataset/config you want to use. This is required for all operations except for the landing page.

servicer_name
required
string
Example: stac

the name of the servicer you want info for

dataset_id
required
string
Example: cool-dataset

The name/hash of the dataset/config you want to use. Hash is preferred for all requests because it points to a single version of the dataset.

url_fragment
required
string
Example: collections/cool-dataset/items

The servicer path for the operation you want to perform. Options depend on the individual servicer. Since the servicer could expose virtually any API to proxy to backend services, you must inspect the servicer info to descide how to act.

Responses

Response samples

Content type
application/json
{
  • "status": 403,
  • "type": "Forbidden",
  • "title": "Not Authorized",
  • "detail": "You must provide token to access this API",
  • "instance": null
}